summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-08-22 09:59:26 +0200
committerErich Eckner <git@eckner.net>2017-08-22 09:59:26 +0200
commit5559247df3d16eb48051aad99b9e7be85362a2cf (patch)
treed0c1794e3a91d4cc63abdec8760f08b31e156871 /bin/build-packages
parent8acd9d9e955452213ee12075630f1699e699235e (diff)
downloadbuilder-5559247df3d16eb48051aad99b9e7be85362a2cf.tar.xz
bin/build-packages: try to download sources by hash
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/build-packages b/bin/build-packages
index fc3a205..c207966 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -188,6 +188,16 @@ while [ ${count} -ne 0 ]; do
fi
if echo "${straw}" | \
+ grep -qF ':mirrored_source_by_hash:'; then
+ # maybe a missing source is/was the problem?
+ # download it from sources.archlinux32.org by its hash
+ if ! download_sources_by_hash "${package}" "${repository}" "${git_revision}" "${mod_git_revision}"; then
+ # we can't improve anything, if no source was downloadable
+ continue
+ fi
+ fi
+
+ if echo "${straw}" | \
grep -qF ':with_build_support:'; then
build_command='staging-with-build-support-i686-build'
else